package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B34T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String tipo = "";
	private String numExp = "";
	private String identificador = "";
	private String nombre = "";
	private String ape1 = "";
	private String ape2 = "";
	private String fechNom = "";
	private String idCargo = "";
	

	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the tipo.
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo The tipo to set.
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the identificador.
	 */
	public String getIdentificador() {
		return identificador;
	}
	/**
	 * @param identificador The identificador to set.
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}
	
	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	
	/**
	 * @return Returns the ape1.
	 */
	public String getApe1() {
		return ape1;
	}
	/**
	 * @param ape1 The ape1 to set.
	 */
	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}
	
	/**
	 * @return Returns the ape2.
	 */
	public String getApe2() {
		return ape2;
	}
	/**
	 * @param ape2 The ape2 to set.
	 */
	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}
	
	/**
	 * @return Returns the fechNom.
	 */
	public String getFechNom() {
		return fechNom;
	}
	/**
	 * @param fechNom The fechNom to set.
	 */
	public void setFechNom(String fechNom) {
		this.fechNom = fechNom;
	}
	
	/**
	 * @return Returns the idCargo.
	 */
	public String getIdCargo() {
		return idCargo;
	}
	/**
	 * @param idCargo The idCargo to set.
	 */
	public void setIdCargo(String idCargo) {
		this.idCargo = idCargo;
	}

	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; Tipo: ");
		textoImprimir.append(tipo);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; Cif/Nif: ");
		textoImprimir.append(identificador);
		textoImprimir.append("; Nombre: ");
		textoImprimir.append(nombre);
		textoImprimir.append("; Apellido 1: ");
		textoImprimir.append(ape1);
		textoImprimir.append("; Apellido 2: ");
		textoImprimir.append(ape2);
		textoImprimir.append("; Fh. Nombramiento: ");
		textoImprimir.append(fechNom);
		textoImprimir.append("; IdCargo: ");
		textoImprimir.append(idCargo);
				
		return textoImprimir.toString();
	}
	
	

}
